<?php
try { $happy_hours = Model_EscortsV2::getHappyHourEscorts(); } catch ( Exception $e ) { $happy_hours = false; }

$hh_with_rate = 0;
if($happy_hours && $happy_hours[1] > 0){
	$hh_escorts = $happy_hours[0];
	$hh_count = $happy_hours[1];
	
	foreach($hh_escorts as $hh_escort){
		
	   $hh_rate = $hh_escort->getHHRates();

	   $incallls = (array) $hh_rate[1];
	 
	   $hh_escort->min_hh = false;
	   foreach($incallls as $key => $incall)
	   {

		   

		   if( intval($incall->hh_price) > 0 && intval($incall->price) > 0 ){
			   $hh_escort->min_hh =  $incallls[$key];
			   $hh_with_rate++;
			   BREAK;
		   }
	   }
	}

}
else{
	$happy_hours = false;
}

$m = new Model_EscortsV2();

if (!$this->allowChat2())
	$oc_results = $m->getChat11OnlineEscorts(1, 1000);
else
	$oc_results = $m->getChatNodeOnlineEscorts(1, 1000);

$oc_escorts = $oc_results['escorts'];
$oc_count = $oc_results['count'];
$online_chat = false;

if ($oc_escorts)
	$online_chat = true;
?>

<? 
$chat_list = false;

if ($this->request()->req == 'chat-online')
	$chat_list = true; 
?>

<div id="right-col">
	<? if ( $this->is_main_page || $chat_list): ?>
	<div class="block new_domain_r">
		<a href="<?= $this->getLink('signup', array('type' => 'escort')) ?>"><img src="<?= _st('v2.1/are_you_escort_' . $this->lang() . '.jpg') ?>" width="234" height="75" alt="" /></a>
	</div>
	<? else: ?>
	<div class="block small new_domain_r">
		<a href="<?= $this->getLink('signup', array('type' => 'escort')) ?>"><img src="<?= _st('v2.1/are_you_escort_small.jpg') ?>" width="181" height="75" alt="" /></a>
	</div>
	<? endif; ?>
	
	
	
	<?
	$controller = Zend_Controller_Front::getInstance()->getRequest()->getControllerName();
	?>
	
	<? if ( $controller == 'private-v2' ): ?>
	<div class="block small">
		<a href="<?= $this->getLink('online-billing') ?>"><img src="<?= _st('online-billing/self_checkout_banner_' . Cubix_I18n::getLang() . '.png') ?>" width="181" height="350" alt="" /></a>
	</div>
	<? endif; ?>
	
	<? if ( $this->is_main_page || $chat_list ): ?>
	
		<? $bubble_per_page = 8; ?>
	
		<? if ($happy_hours && $hh_with_rate > 0 && !$chat_list): ?>
		
		<div id="hh-widget" class="block">
			<div class="head"><div class="i"><span class="happy-hours"><?= $this->t('happy_hours_live')?>: <span class="escort_count"><?= ($hh_count) ? $hh_count : '0' ?></span> </span></div></div>
			
			<? if ($happy_hours && $hh_with_rate > 0): ?>
				<? $bubble_per_page -= 1; ?>
				<? foreach($hh_escorts as $hh_escort): ?>
				<? if($hh_escort->min_hh):?>
				<? $bubble_per_page -= 1; ?>
				<div class="hh_escorts">
					<div class="hh_thumb">
						<a href="<?= $this->getLink('profile', array('showname' => $hh_escort->showname, 'escort_id' => $hh_escort->id) ) ?>" >
							<img src="<?= $hh_escort->getMainPhoto()->getUrl('w68') ?>" width="68" height="91" />
						</a>
					</div>

					<div class="hh_info">
						<ul>
							<li><a class="showname hh-blue hh-bold" href="<?= $this->getLink('profile', array('showname' => $hh_escort->showname, 'escort_id' => $hh_escort->id) ) ?>" > <?= $hh_escort->showname ?></a></li>
							<li> <?= $this->t('before') ?>: <span class="hh-bold hh-blue"><span class="hh-erased"><?= $hh_escort->min_hh->price ?></span> <?=$hh_escort->min_hh->currency_title?></span></li>
							<li> <?= $this->t('now') ?>: <span class="hh-bold hh-blue"><?= $hh_escort->min_hh->hh_price ?> <?= $hh_escort->min_hh->currency_title ?></span></li>
							<li class="hh-red hh-bold"><?= strtoupper($this->t('hh_save')) ?> <?=$hh_escort->min_hh->price - $hh_escort->min_hh->hh_price ?> <?=$hh_escort->min_hh->currency_title ?></li>
							<li class="hh-bold"> <?= date('G:i', $hh_escort->hh_date_from) ?>-<?= date('G:i', $hh_escort->hh_date_to)?></li>
						</ul>
					</div>
				</div>
				<div class="clear"></div>
				<? endif; ?>
				<? endforeach;?>
				<div>
					<div class="see_all_button"><a href='<?= $this->getLink('escorts', array('happy-hours'), true) ?>' rel="nofollow"><?= $this->t('see_them_all') ?></a></div>
				</div>
			<? else: ?>
				<div class="no_hh"></div>	
			<? endif ?>	
		</div>
		<? endif; ?>
	
		<? if ($online_chat): ?>
		<? $bubble_per_page -= 1; ?>
		<div id="oc-widget" class="block">
			<div class="head"><div class="i"><span class="online_i"><?= $this->t('available_live_chat')?> : <span class="escort_count"><?= ($oc_count) ? $oc_count : '0' ?></span></span></div></div>
			<? if ($online_chat): ?>
			<div class="oc-info">
				<? foreach($oc_escorts as $key => $oc_escort): ?>
				
				<? if ( ($key + 1 ) % 5 == 0 ): ?>
				<? $bubble_per_page -= 1; ?>
				<? endif; ?>
				
				<div class="oc-escorts">
					<a class="oc-showname" href="<?= $this->getLink('profile', array('showname' => $oc_escort->showname, 'escort_id' => $oc_escort->id) ) ?>">
						<span class="popup-img">
							<img height="91" width="68" src="<?= $oc_escort->getMainPhoto()->getUrl('w68') ?>" alt="<?=$oc_escort->showname ?>" />
						</span>
						<span class="limit">
							<?= $oc_escort->showname ?><br/><small>(<?= strlen($oc_escort->city) > 14 ? mb_substr($oc_escort->city, 0, 11) . '...' : $oc_escort->city ?>)</small>
						</span>
					</a>
				</div>
				<? if($key % 2 == 1):?>
					<div class="clear"></div>
				<? endif; ?>
				<? $i ++; if (!$chat_list && $i == 6) break; ?>
				<? endforeach;?>
				<div class="clear"></div>
			</div>
			<div>
				<div class="see_all_button"><span ><a href='<?= $this->getLink('escorts', array('chat-online'), true) ?>' ><?= $this->t('see_them_all') ?></a></span></div>
			</div>
			<? else: ?>
			<div class="no_chat"></div>
			<? endif ?>
		</div>
		<? endif; ?>
	
		<script type="text/javascript" src="/index/js-init-exact?view=side-bar&per_page=<?= $bubble_per_page ?>"></script>
	
	<? endif; ?>
	
	<? if ( ! $this->is_main_page ): ?>
		<?
			$curr_city = '';
			if ( isset($this->params['city_id']) ) {
				$curr_city = $this->params['city_id'];
			}
			elseif ( isset($this->base_city) ) {
				$curr_city = $this->base_city->id;
			}
		?>
		
		<div class="block banners">
			<div class="head"><div class="i"><span class="spons"><?= __('werbung') ?></span></div></div>
			
			<?= Model_Banners::getForCityPage('right_banners_175_375', $curr_city); ?>
			
			<?= Model_Banners::getForCityPage('right_banners_175_250', $curr_city); ?>

			<?= Model_Banners::getForCityPage('right_banners_175_125', $curr_city); ?>
			
			<div class="clear"></div>
		</div>

	<? endif; ?>	

	<? /*
	<div class="block <?= ( ! count($this->right_premiums) ) ? 'none' : '' ?> right_premiums_block_p">
		<h4><div class="i"><span class="premium"><?= __('premium_escorts') ?></span></div></h4>

		<div id="right_premiums_block">
			<div class="right_premium_escorts ">
				<? if( count($this->right_premiums)): ?>
				<div class="prem-wrp">
					<? foreach( $this->right_premiums as $i => $escort ): ?>
					<? if ( ! $escort instanceof Model_EscortV2Item ) $escort = new Model_EscortV2Item($escort); ?>
					<div class="ewrp <?= ( count($this->right_premiums) == $i + 1 ) ? 'last' : '' ?>">
						<div class="escort">
							<a class="showname" href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'from' => 'right_premiums', 'escort_id' => $escort->id)) ?>"><?= $escort->showname ?></a>
							<div class="wrap">
								<div class="image">
									<span class="premium"></span>
									<a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'from' => 'right_premiums', 'escort_id' => $escort->id)) ?>">
										<img src="<?= $escort->getMainPhoto()->getUrl('thumb') ?>" />
									</a>
								</div>
							</div>

							<span class="strong"><?= $escort->city ?></span>

							<? $rate = ''; $rates = $escort->getRates(); ?>
							<? if ( array_key_exists(AVAILABLE_INCALL, $rates) ): ?>
								<? $rate = $rates[AVAILABLE_INCALL] ?>
							<? elseif ( array_key_exists(AVAILABLE_OUTCALL, $rates) ): ?>
								<? $rate = $rates[AVAILABLE_OUTCALL] ?>
							<? endif; ?>

							
							<? $rate_str = ''; ?>
							<? if ( isset($one_h_outcall_rate->time) ): ?>
								<? $rate_str = $one_h_outcall_rate->time . 'h ' . $DEFINITIONS['currency_symbols'][$one_h_outcall_rate->currency_id] . ' ' . $one_h_outcall_rate->price; ?>
							<? endif; ?>
							<? if( isset($one_h_incall_rate->time) ): ?>
								<? $rate_str = $one_h_incall_rate->time . 'h ' . $DEFINITIONS['currency_symbols'][$one_h_incall_rate->currency_id] . ' ' . $one_h_incall_rate->price; ?>
							<? endif; ?>
							<? if ( strlen($rate_str) ): ?>
								<span class="price"><?= $rate_str ?></span>
							<? endif; ?>
							<div class="clear"></div>

							<? if ( $escort->incall_type || $escort->outcall_type ): ?>
								<? if ( $escort->incall_type ): ?>
								<span class="incall"></span>
								<? endif ?>
								<? if ( $escort->outcall_type ): ?>
								<span class="outcall"></span>
								<? endif ?>
								<div class="clear"></div>
							<? endif; ?>
						</div>
					</div>
					<div class="clear"></div>
					<? endforeach; ?>
				</div>
				<? endif; ?>
			</div>
		</div>
	</div>
	*/ ?>

	<? /*if ( $this->is_main_page || ! $this->showMainPremiumSpot ):*/ ?>
		<? if ( $this->main_page && ! $this->is_profile ): ?>
		<div class="block bubble" id="bubbles-widget">
			<?/*<script src="<?= _st('bubble.js') ?>" type="text/javascript"></script>*/?>
			<script type="text/javascript">window.addEvent('domready', Cubix.Bubble.Load)</script>
		</div>
		<? /*
		<br />
		<div class="block bubble" id="online-widget">
			<script src="<?= _st('online.js') ?>" type="text/javascript"></script>
			<script type="text/javascript">window.addEvent('domready', Cubix.Online.Load)</script>
		</div> */ ?>
		<? endif; ?>
	<? /*endif;*/ ?>
</div>
